# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-rc-.42 (2020-11-10)

### Bug Fixes

- **checkbox:** fix data-disabled type
  ([56f6512](https://github.com/chakra-ui/chakra-ui/commit/56f651237f9fea2a102c292166a9813d8af78c56))
- **use-checkbox:** sync state for uncontrolled form usage so rhf can work
  correctly
  ([93b8bd8](https://github.com/chakra-ui/chakra-ui/commit/93b8bd89162c0bdb1db6cd9149205d50171ba29f))
- [#891](https://github.com/chakra-ui/chakra-ui/issues/891)
  ([e107acc](https://github.com/chakra-ui/chakra-ui/commit/e107acc8487898a965b0d695c1da71f46fc56d5e))
- call checkbox onchange when within checkbox-group
  ([0e6f2f7](https://github.com/chakra-ui/chakra-ui/commit/0e6f2f77c42a578bd417810818a7e3be76e817c3))
- icon-color and icon-size props for checkbox
  ([97855b3](https://github.com/chakra-ui/chakra-ui/commit/97855b3e8eed5ab64b3b60f3abdd7356eb2a806f))
- package json exports
  ([a10c0bc](https://github.com/chakra-ui/chakra-ui/commit/a10c0bcb809314a96d58c7febd9b2755e8997603))
- remove unused import
  ([150c3a7](https://github.com/chakra-ui/chakra-ui/commit/150c3a722fba6387110c2f5f3b9606037e356ee5))
- tests and typing for checkbox
  ([153155f](https://github.com/chakra-ui/chakra-ui/commit/153155f78db9fe2a338282f7cc58fbb4e22d59c1))
- ts issue with sx prop
  ([d3b1340](https://github.com/chakra-ui/chakra-ui/commit/d3b1340cb255937927b4d4c56ce218141570b951))
- types
  ([7a70ea1](https://github.com/chakra-ui/chakra-ui/commit/7a70ea1dfab75639c04882828bd56f793a691841))
- unused import
  ([d2d07bf](https://github.com/chakra-ui/chakra-ui/commit/d2d07bf223018d52d86f0179446a71b317c4001d))
- **checkbox:** add default empty props to useCheckbox
  ([0ba0f43](https://github.com/chakra-ui/chakra-ui/commit/0ba0f43899646d7d2dbe495098a48a913da80871))
- **checkbox:** omit checkbox props from Icon spread
  ([f2c28a4](https://github.com/chakra-ui/chakra-ui/commit/f2c28a4260f08afd96aa4ca01ec61ec8e0cc67fe))
- **checkbox:** remove Checkbox.base
  ([3c38699](https://github.com/chakra-ui/chakra-ui/commit/3c386994d8e018c6226ab3434184552c81b5b189))
- **tests:** update snapshots & adapt to changes
  ([56e572a](https://github.com/chakra-ui/chakra-ui/commit/56e572accdad7a860a4e41e15600d08c3281e5bb))
- **typescript:** synthetic default export compat
  ([e661a71](https://github.com/chakra-ui/chakra-ui/commit/e661a71884b6ee0ad5ac85b38e042f5ee7e8f705)),
  closes [#1735](https://github.com/chakra-ui/chakra-ui/issues/1735)
- **variables:** drop unused imports
  ([552b2e9](https://github.com/chakra-ui/chakra-ui/commit/552b2e9b7510963db509a5724af5361ef07c8ecb))
- typos
  ([c75c1da](https://github.com/chakra-ui/chakra-ui/commit/c75c1da311e88cbc6c8950bf3db362a68bbf85b0))
- working on checkbox group component
  ([66ac9ce](https://github.com/chakra-ui/chakra-ui/commit/66ac9ce11f089742d5bb7c128bf097d811a2904d))

### Features

- **doc-gen:** improve type readability
  ([48181ad](https://github.com/chakra-ui/chakra-ui/commit/48181ad5b6fb7ac06c84def08e1c8bb5496f17f8))
- add motion to checkbox icons
  ([9130b4c](https://github.com/chakra-ui/chakra-ui/commit/9130b4c17e9ed9b8d62d426043cf7f3d142304ec))
- **checkbox:** add icon prop
  ([93a2056](https://github.com/chakra-ui/chakra-ui/commit/93a20568fcfc47fac8d0be123c708875b5dd2bf4)),
  closes [#2039](https://github.com/chakra-ui/chakra-ui/issues/2039)
- add use-props hook for better dx
  ([0854d64](https://github.com/chakra-ui/chakra-ui/commit/0854d64f32d7344184ace1163cc68fd982964261))
- allow props from as prop pass through
  ([8d25c75](https://github.com/chakra-ui/chakra-ui/commit/8d25c754e6dad652c34a33e49144d08e25328c6c))
- update stories for radio componet
  ([3effca4](https://github.com/chakra-ui/chakra-ui/commit/3effca435a04bcaa7b33d16cd20f441950fc2e3c))

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-rc.10 (2020-11-10)

### Bug Fixes

- **checkbox:** fix data-disabled type
  ([56f6512](https://github.com/chakra-ui/chakra-ui/commit/56f651237f9fea2a102c292166a9813d8af78c56))
- **use-checkbox:** sync state for uncontrolled form usage so rhf can work
  correctly
  ([93b8bd8](https://github.com/chakra-ui/chakra-ui/commit/93b8bd89162c0bdb1db6cd9149205d50171ba29f))
- [#891](https://github.com/chakra-ui/chakra-ui/issues/891)
  ([e107acc](https://github.com/chakra-ui/chakra-ui/commit/e107acc8487898a965b0d695c1da71f46fc56d5e))
- call checkbox onchange when within checkbox-group
  ([0e6f2f7](https://github.com/chakra-ui/chakra-ui/commit/0e6f2f77c42a578bd417810818a7e3be76e817c3))
- icon-color and icon-size props for checkbox
  ([97855b3](https://github.com/chakra-ui/chakra-ui/commit/97855b3e8eed5ab64b3b60f3abdd7356eb2a806f))
- package json exports
  ([a10c0bc](https://github.com/chakra-ui/chakra-ui/commit/a10c0bcb809314a96d58c7febd9b2755e8997603))
- remove unused import
  ([150c3a7](https://github.com/chakra-ui/chakra-ui/commit/150c3a722fba6387110c2f5f3b9606037e356ee5))
- tests and typing for checkbox
  ([153155f](https://github.com/chakra-ui/chakra-ui/commit/153155f78db9fe2a338282f7cc58fbb4e22d59c1))
- ts issue with sx prop
  ([d3b1340](https://github.com/chakra-ui/chakra-ui/commit/d3b1340cb255937927b4d4c56ce218141570b951))
- types
  ([7a70ea1](https://github.com/chakra-ui/chakra-ui/commit/7a70ea1dfab75639c04882828bd56f793a691841))
- unused import
  ([d2d07bf](https://github.com/chakra-ui/chakra-ui/commit/d2d07bf223018d52d86f0179446a71b317c4001d))
- **checkbox:** add default empty props to useCheckbox
  ([0ba0f43](https://github.com/chakra-ui/chakra-ui/commit/0ba0f43899646d7d2dbe495098a48a913da80871))
- **checkbox:** omit checkbox props from Icon spread
  ([f2c28a4](https://github.com/chakra-ui/chakra-ui/commit/f2c28a4260f08afd96aa4ca01ec61ec8e0cc67fe))
- **checkbox:** remove Checkbox.base
  ([3c38699](https://github.com/chakra-ui/chakra-ui/commit/3c386994d8e018c6226ab3434184552c81b5b189))
- **tests:** update snapshots & adapt to changes
  ([56e572a](https://github.com/chakra-ui/chakra-ui/commit/56e572accdad7a860a4e41e15600d08c3281e5bb))
- **typescript:** synthetic default export compat
  ([e661a71](https://github.com/chakra-ui/chakra-ui/commit/e661a71884b6ee0ad5ac85b38e042f5ee7e8f705)),
  closes [#1735](https://github.com/chakra-ui/chakra-ui/issues/1735)
- **variables:** drop unused imports
  ([552b2e9](https://github.com/chakra-ui/chakra-ui/commit/552b2e9b7510963db509a5724af5361ef07c8ecb))
- typos
  ([c75c1da](https://github.com/chakra-ui/chakra-ui/commit/c75c1da311e88cbc6c8950bf3db362a68bbf85b0))
- working on checkbox group component
  ([66ac9ce](https://github.com/chakra-ui/chakra-ui/commit/66ac9ce11f089742d5bb7c128bf097d811a2904d))

### Features

- **doc-gen:** improve type readability
  ([48181ad](https://github.com/chakra-ui/chakra-ui/commit/48181ad5b6fb7ac06c84def08e1c8bb5496f17f8))
- add motion to checkbox icons
  ([9130b4c](https://github.com/chakra-ui/chakra-ui/commit/9130b4c17e9ed9b8d62d426043cf7f3d142304ec))
- **checkbox:** add icon prop
  ([93a2056](https://github.com/chakra-ui/chakra-ui/commit/93a20568fcfc47fac8d0be123c708875b5dd2bf4)),
  closes [#2039](https://github.com/chakra-ui/chakra-ui/issues/2039)
- add use-props hook for better dx
  ([0854d64](https://github.com/chakra-ui/chakra-ui/commit/0854d64f32d7344184ace1163cc68fd982964261))
- allow props from as prop pass through
  ([8d25c75](https://github.com/chakra-ui/chakra-ui/commit/8d25c754e6dad652c34a33e49144d08e25328c6c))
- update stories for radio componet
  ([3effca4](https://github.com/chakra-ui/chakra-ui/commit/3effca435a04bcaa7b33d16cd20f441950fc2e3c))

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-rc.9 (2020-10-29)

### Bug Fixes

- **toast:** allow custom render in update
  ([eb8bff9](https://github.com/chakra-ui/chakra-ui/commit/eb8bff911e6ec9de0165ab1e8f5ca10d5e022459)),
  closes [#2362](https://github.com/chakra-ui/chakra-ui/issues/2362)

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-rc.7 (2020-10-25)

**Note:** Version bump only for package @hackr/chakra-ui-checkbox

# 1.0.0-rc.6 (2020-10-25)

**Note:** Version bump only for package @hackr/chakra-ui-checkbox

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-rc.5 (2020-09-27)

**Note:** Version bump only for package @hackr/chakra-ui-checkbox

# 1.0.0-rc.4 (2020-09-25)

**Note:** Version bump only for package @hackr/chakra-ui-checkbox

# 1.0.0-rc.3 (2020-08-30)

**Note:** Version bump only for package @hackr/chakra-ui-checkbox

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-rc.2 (2020-08-09)

**Note:** Version bump only for package @hackr/chakra-ui-checkbox

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.0.0-rc.1](https://github.com/chakra-ui/chakra-ui/compare/@hackr/chakra-ui-checkbox@1.0.0-rc.0...@hackr/chakra-ui-checkbox@1.0.0-rc.1) (2020-08-06)

### Bug Fixes

- **variables:** drop unused imports
  ([552b2e9](https://github.com/chakra-ui/chakra-ui/commit/552b2e9b7510963db509a5724af5361ef07c8ecb))

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.0.0-rc.0](https://github.com/chakra-ui/chakra-ui/compare/@hackr/chakra-ui-checkbox@1.0.0-next.7...@hackr/chakra-ui-checkbox@1.0.0-rc.0) (2020-07-26)

**Note:** Version bump only for package @hackr/chakra-ui-checkbox

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.0.0-next.7](https://github.com/chakra-ui/chakra-ui/compare/@hackr/chakra-ui-checkbox@1.0.0-next.6...@hackr/chakra-ui-checkbox@1.0.0-next.7) (2020-07-26)

**Note:** Version bump only for package @hackr/chakra-ui-checkbox

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.0.0-next.6](https://github.com/chakra-ui/chakra-ui/compare/@hackr/chakra-ui-checkbox@1.0.0-next.5...@hackr/chakra-ui-checkbox@1.0.0-next.6) (2020-07-15)

**Note:** Version bump only for package @hackr/chakra-ui-checkbox

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.0.0-next.5](https://github.com/chakra-ui/chakra-ui/compare/@hackr/chakra-ui-checkbox@1.0.0-next.4...@hackr/chakra-ui-checkbox@1.0.0-next.5) (2020-07-15)

**Note:** Version bump only for package @hackr/chakra-ui-checkbox

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-next.4 (2020-07-01)

### Bug Fixes

- [#891](https://github.com/chakra-ui/chakra-ui/issues/891)
  ([e107acc](https://github.com/chakra-ui/chakra-ui/commit/e107acc8487898a965b0d695c1da71f46fc56d5e))
- tests and typing for checkbox
  ([153155f](https://github.com/chakra-ui/chakra-ui/commit/153155f78db9fe2a338282f7cc58fbb4e22d59c1))
- ts issue with sx prop
  ([d3b1340](https://github.com/chakra-ui/chakra-ui/commit/d3b1340cb255937927b4d4c56ce218141570b951))
- typos
  ([c75c1da](https://github.com/chakra-ui/chakra-ui/commit/c75c1da311e88cbc6c8950bf3db362a68bbf85b0))
- working on checkbox group component
  ([66ac9ce](https://github.com/chakra-ui/chakra-ui/commit/66ac9ce11f089742d5bb7c128bf097d811a2904d))
- **checkbox:** add default empty props to useCheckbox
  ([0ba0f43](https://github.com/chakra-ui/chakra-ui/commit/0ba0f43899646d7d2dbe495098a48a913da80871))
- **checkbox:** remove Checkbox.base
  ([3c38699](https://github.com/chakra-ui/chakra-ui/commit/3c386994d8e018c6226ab3434184552c81b5b189))

### Features

- update stories for radio component
  ([3effca4](https://github.com/chakra-ui/chakra-ui/commit/3effca435a04bcaa7b33d16cd20f441950fc2e3c))

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-next.3 (2020-06-28)

### Bug Fixes

- [#891](https://github.com/chakra-ui/chakra-ui/issues/891)
  ([e107acc](https://github.com/chakra-ui/chakra-ui/commit/e107acc8487898a965b0d695c1da71f46fc56d5e))
- tests and typing for checkbox
  ([153155f](https://github.com/chakra-ui/chakra-ui/commit/153155f78db9fe2a338282f7cc58fbb4e22d59c1))
- ts issue with sx prop
  ([d3b1340](https://github.com/chakra-ui/chakra-ui/commit/d3b1340cb255937927b4d4c56ce218141570b951))
- typos
  ([c75c1da](https://github.com/chakra-ui/chakra-ui/commit/c75c1da311e88cbc6c8950bf3db362a68bbf85b0))
- working on checkbox group component
  ([66ac9ce](https://github.com/chakra-ui/chakra-ui/commit/66ac9ce11f089742d5bb7c128bf097d811a2904d))
- **checkbox:** add default empty props to useCheckbox
  ([0ba0f43](https://github.com/chakra-ui/chakra-ui/commit/0ba0f43899646d7d2dbe495098a48a913da80871))
- **checkbox:** remove Checkbox.base
  ([3c38699](https://github.com/chakra-ui/chakra-ui/commit/3c386994d8e018c6226ab3434184552c81b5b189))

### Features

- update stories for radio component
  ([3effca4](https://github.com/chakra-ui/chakra-ui/commit/3effca435a04bcaa7b33d16cd20f441950fc2e3c))

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-next.2 (2020-06-21)

### Bug Fixes

- [#891](https://github.com/chakra-ui/chakra-ui/issues/891)
  ([e107acc](https://github.com/chakra-ui/chakra-ui/commit/e107acc8487898a965b0d695c1da71f46fc56d5e))
- tests and typing for checkbox
  ([153155f](https://github.com/chakra-ui/chakra-ui/commit/153155f78db9fe2a338282f7cc58fbb4e22d59c1))
- typos
  ([c75c1da](https://github.com/chakra-ui/chakra-ui/commit/c75c1da311e88cbc6c8950bf3db362a68bbf85b0))
- working on checkbox group component
  ([66ac9ce](https://github.com/chakra-ui/chakra-ui/commit/66ac9ce11f089742d5bb7c128bf097d811a2904d))
- **checkbox:** add default empty props to useCheckbox
  ([0ba0f43](https://github.com/chakra-ui/chakra-ui/commit/0ba0f43899646d7d2dbe495098a48a913da80871))
- **checkbox:** remove Checkbox.base
  ([3c38699](https://github.com/chakra-ui/chakra-ui/commit/3c386994d8e018c6226ab3434184552c81b5b189))

### Features

- update stories for radio component
  ([3effca4](https://github.com/chakra-ui/chakra-ui/commit/3effca435a04bcaa7b33d16cd20f441950fc2e3c))
